StarWriterStruct::Bookmark Class Reference

structure to store a bookmark More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions

| Bookmark ()
| the constructor
bool | read (StarZone &zone)
| try to read a mark

## Static Public Member Functions

static bool | readList (StarZone &zone, std::vector< Bookmark > &markList)
| try to read a list of bookmark

## Public Attributes

librevenge::RVNGString | m_shortName
| the shortname
librevenge::RVNGString | m_name
| the name
int | m_offset
| the offset
int | m_key
| the key
int | m_modifier
| the modifier
librevenge::RVNGString | m_macroNames [4]
| the macros names

## Friends

std::ostream & | operator<< (std::ostream &o, Bookmark const &mark)
| operator<<

## Detailed Description

structure to store a bookmark

## Constructor & Destructor Documentation

## Bookmark()

StarWriterStruct::Bookmark::Bookmark | ( |  | ) |

inline

the constructor

Referenced by operator<<, and readList().

## Member Function Documentation

## read()

bool StarWriterStruct::Bookmark::read | ( | StarZone & | zone | ) |

try to read a mark

Referenced by readList().

## readList()

bool StarWriterStruct::Bookmark::readList | ( | StarZone & | zone,
|  | std::vector< Bookmark > & | markList )

static

try to read a list of bookmark

Referenced by StarObjectPageStyle::read(), and StarObjectText::readWriterDocument().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Bookmark const & | mark )

friend

operator<<

## Member Data Documentation

## m_key

int StarWriterStruct::Bookmark::m_key

the key

Referenced by Bookmark(), operator<<, and read().

## m_macroNames

librevenge::RVNGString StarWriterStruct::Bookmark::m_macroNames[4]

the macros names

Referenced by operator<<, and read().

## m_modifier

int StarWriterStruct::Bookmark::m_modifier

the modifier

Referenced by Bookmark(), operator<<, and read().

## m_name

librevenge::RVNGString StarWriterStruct::Bookmark::m_name

the name

Referenced by Bookmark(), operator<<, and read().

## m_offset

int StarWriterStruct::Bookmark::m_offset

the offset

Referenced by Bookmark(), operator<<, and read().

## m_shortName

librevenge::RVNGString StarWriterStruct::Bookmark::m_shortName

the shortname

Referenced by Bookmark(), operator<<, and read().

The documentation for this class was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx